Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0038120
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Web POSmajoralways2018-03-13 14:492018-04-15 05:36
ReporterngarciaView Statuspublic 
Assigned Torqueralta 
PriorityurgentResolutionfixedFixed in Version
StatusresolvedFix in branchFixed in SCM revision3b383dad0dac
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned To
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0038120: Cannot log in in the POS if a Characteristic Value is deactivated. Full refresh is failing

DescriptionCannot log in in the POS if a Characteristic Value is deactivated. Full refresh is failing
Steps To ReproduceIn the backend:
   Go to Product Characteristic window
   Select 'Battery Life'
   Go to Value tab and deactivate '120h max'

In the POS:
   Clean the cache of the browser
   Log in in the application
   Check the following error message is shown:
      "Master Data Loading Error
The Master Data loading process has encountered an error. The following model(s) could not be loaded: CharacteristicValue. Please check you internet connection and click reload to refresh the page. If the problem persists please contact your System Administrator."
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0038347 resolvedrqueralta Cannot log in in the POS if a Product Characteristic is deactivated. Full refresh is failing 

-  Notes
(0103281)
hgbot (developer)
2018-03-15 16:22

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: 3b383dad0dacd6e18b93bd35f20d2fe2eeedbc0f
Author: Rafael Queralta Pozo <rqueralta <at> nauta.cu>
Date: Wed Mar 14 11:50:53 2018 -0400
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/3b383dad0dacd6e18b93bd35f20d2fe2eeedbc0f [^]

Fixed issue 38120: Cannot log in in the POS if a Characteristic Value is
deactivated. Full refresh is failing

---
M src/org/openbravo/retail/posterminal/master/CharacteristicValue.java
---
(0103322)
hgbot (developer)
2018-03-16 15:02

Repository: tools/automation/pi-mobile
Changeset: 815f6159987e2f2f631dda33d08e4269a9fa7a4c
Author: Rafael Queralta Pozo <rqueralta <at> nauta.cu>
Date: Thu Mar 15 15:18:39 2018 -0400
URL: http://code.openbravo.com/tools/automation/pi-mobile/rev/815f6159987e2f2f631dda33d08e4269a9fa7a4c [^]

Verifies issue 38120: Cannot log in in the POS if a Characteristic Value is
deactivated. Full refresh is failing

---
A src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/receipts/I38120_ChValueDeactivated.java
---
(0103493)
marvintm (developer)
2018-03-26 10:20

Fix is not correct. The query needs to take into account whether it's being executed in incremental mode or not, and generate the proper expression using ANDs or ORs, similar to Product.java.
(0103589)
hgbot (developer)
2018-03-27 19:19

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: 342f22fb0e16c9945baad1c65fc4f956696d31b9
Author: Rafael Queralta Pozo <rqueralta <at> nauta.cu>
Date: Mon Mar 26 15:54:18 2018 -0400
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/342f22fb0e16c9945baad1c65fc4f956696d31b9 [^]

Related to issue 38120: Cannot log in in the POS if a Characteristic Value is
deactivated. Full refresh is failing

---
M src/org/openbravo/retail/posterminal/master/CharacteristicValue.java
---
(0103837)
jorge-garcia (developer)
2018-04-12 12:42

The solution is now correct, but the test is not good enough.

The missing test case is the following:
 1) After the POS has logged successfully in the application reactivate the characteristic value previously deactivated
 2) Reload the application (do an incremental refresh)
 3) After the incremental refresh is done, verify the characteristic value has been loaded to webPOS.
(0103891)
hgbot (developer)
2018-04-15 05:33

Repository: tools/automation/pi-mobile
Changeset: e47cd129a2ac572f52138f57ee5fedf9bec58935
Author: Rafael Queralta Pozo <rqueralta <at> nauta.cu>
Date: Thu Apr 12 14:27:19 2018 -0400
URL: http://code.openbravo.com/tools/automation/pi-mobile/rev/e47cd129a2ac572f52138f57ee5fedf9bec58935 [^]

Related to issue 38120: Cannot log in in the POS if a Characteristic Value is
deactivated. Full refresh is failing

---
M src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/receipts/I38120_ChValueDeactivated.java
---

- Issue History
Date Modified Username Field Change
2018-03-13 14:49 ngarcia New Issue
2018-03-13 14:49 ngarcia Assigned To => Retail
2018-03-13 14:49 ngarcia Triggers an Emergency Pack => No
2018-03-13 14:50 ngarcia Issue Monitored: networkb
2018-03-13 15:08 Practics Issue Monitored: Practics
2018-03-13 21:15 rqueralta Assigned To Retail => rqueralta
2018-03-13 21:15 rqueralta Status new => scheduled
2018-03-15 16:22 hgbot Checkin
2018-03-15 16:22 hgbot Note Added: 0103281
2018-03-15 16:22 hgbot Status scheduled => resolved
2018-03-15 16:22 hgbot Resolution open => fixed
2018-03-15 16:22 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/3b383dad0dacd6e18b93bd35f20d2fe2eeedbc0f [^]
2018-03-16 15:02 hgbot Checkin
2018-03-16 15:02 hgbot Note Added: 0103322
2018-03-26 10:20 marvintm Note Added: 0103493
2018-03-26 10:20 marvintm Status resolved => new
2018-03-26 10:20 marvintm Resolution fixed => open
2018-03-27 19:19 hgbot Checkin
2018-03-27 19:19 hgbot Note Added: 0103589
2018-03-29 16:14 rqueralta Status new => scheduled
2018-03-29 16:51 rqueralta Status scheduled => resolved
2018-03-29 16:51 rqueralta Resolution open => fixed
2018-04-12 12:38 jorge-garcia Relationship added related to 0038347
2018-04-12 12:42 jorge-garcia Note Added: 0103837
2018-04-12 12:42 jorge-garcia Status resolved => new
2018-04-12 12:42 jorge-garcia Resolution fixed => open
2018-04-15 05:33 hgbot Checkin
2018-04-15 05:33 hgbot Note Added: 0103891
2018-04-15 05:36 rqueralta Status new => scheduled
2018-04-15 05:36 rqueralta Status scheduled => resolved
2018-04-15 05:36 rqueralta Resolution open => fixed


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker